Download it now!
Bug 115546 - Mirrored Page Headers do not respect "Same Content on Both Sides" setting wrt spacing
Summary: Mirrored Page Headers do not respect "Same Content on Both Sides" setting wrt...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2018-02-08 13:39 UTC by Paul
Modified: 2019-03-05 03:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2018-02-08 13:39:58 UTC
I'm trying to format a book, and have run into a problem. I have the page style for the body of the book set up as Mirrored. For the Headers, I unchecked "Same content of both sides". The header information, titles and page numbers, accordingly went to the outer edges as they were told, so it seemed everything was fine. But then I wanted more spacing between the header and the first line of text, and can't get it to work.

On the left pages, I get the specified spacing. But the right page automatically picks up the setting I make for the left page, which it shouldn't do, yet still remains as it was, making the two pages unequal.

I thought it might be related to a Inserted page break, but it happens even on automatically generated pages.

So the mirrored page picks up a setting, but only considers it a phantom.

If I then toggle the "Same Content As" setting, with Apply, the problem is corrected.

See https://ask.libreoffice.org/en/question/145712/page-header-spacing-problem/?answer=145718#post-id-145718 for discussion and pics.

I'm on .deb Linux x64.
Comment 1 ajlittoz 2018-02-08 14:23:15 UTC
I helped to discover the bug.

It is also present in 5.3.7.2. I'm on Fedora 26, x86_64.
Comment 2 Evil Overlord 2018-03-04 14:15:45 UTC
I had the same problem as Paul, except that the right page had the correct settings, and the left page did not change. Toggling same content fixed the problem.
Comment 3 QA Administrators 2019-03-05 03:39:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug